- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libvisio::VSDPage Class Reference

`#include <VSDPages.h>`

## Public Member Functions
| VSDPage ()
| VSDPage (const VSDPage &page)
| ~VSDPage ()
VSDPage & | operator= (const VSDPage &page)
void | append (const VSDOutputElementList &outputElements)
void | draw (libwpg::WPGPaintInterface *painter) const

## Public Attributes
double | m_pageWidth
double | m_pageHeight
WPXString | m_pageName
unsigned | m_currentPageID
unsigned | m_backgroundPageID
VSDOutputElementList | m_pageElements

## Constructor & Destructor Documentation

libvisio::VSDPage::VSDPage | ( |  | ) |

libvisio::VSDPage::VSDPage | ( | const VSDPage & | page | ) |

libvisio::VSDPage::~VSDPage | ( |  | ) |

## Member Function Documentation

void libvisio::VSDPage::append | ( | const VSDOutputElementList & | outputElements | ) |

void libvisio::VSDPage::draw | ( | libwpg::WPGPaintInterface * | painter | ) | const

Referenced by libvisio::VSDPages::_drawWithBackground().

libvisio::VSDPage & libvisio::VSDPage::operator= | ( | const VSDPage & | page | ) |

## Member Data Documentation

unsigned libvisio::VSDPage::m_backgroundPageID

Referenced by libvisio::VSDPages::_drawWithBackground(), and operator=().

unsigned libvisio::VSDPage::m_currentPageID

Referenced by libvisio::VSDPages::addBackgroundPage(), and operator=().

VSDOutputElementList libvisio::VSDPage::m_pageElements

Referenced by operator=().

double libvisio::VSDPage::m_pageHeight

Referenced by operator=().

WPXString libvisio::VSDPage::m_pageName

Referenced by operator=().

double libvisio::VSDPage::m_pageWidth

Referenced by operator=().

The documentation for this class was generated from the following files:

- VSDPages.h
- VSDPages.cpp